Subject: Re: [PATCH 0/1] quote: quote space

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Mar 2024 09:53:35 -0700

Jeff King <[email-masked]> writes:

> On Thu, Mar 28, 2024 at 09:19:08AM -0700, Junio C Hamano wrote:
>
>> Jeff King <[email-masked]> writes:
>> 
>> >> With the following band-aid, we can skip the test and the output
>> >> from "sh t4126-*.sh -i -v -x" might give us a clue that explains how
>> >> such a failure happens.  Unfortunately GitHub CI's win test does not
>> >> give us insight into a test that did not fail, so I did not get
>> >> anything useful from the "ls -l" down there (I already knew that
>> >> sample patches are empty files).
>> >
>> > We package up the failed test output and trash directories for each run.
>> > You can find the one for this case here:
>> >
>> >   https://github.com/git/git/actions/runs/8458842054/artifacts/1364695605
>> 
>> What I meant was that with the band-aid that (1) sets prerequisite
>> so that Windows would not fail and (2) has some diagnostic in the
>> code that sets prerequisite, because the overall test does not fail,
>> we do not package up that diagnostic output.
>
> Right, I meant that we could look at the run without the band-aid (which
> is what the link points to). But I guess maybe you realized already that
> it would not be helpful because of the "reset --hard" that the test
> does.

Actually, looking at the trash directory of the failed test was how
"I already knew that sample patches are empty files", and my hope
was that with the band-aid patch I could gather more information ;-)